Package es.imim.DISGENET.internal.automation.parameters

# Class VariantEnrichmentParams

java.lang.Object
es.imim.DISGENET.internal.automation.parameters.VariantEnrichmentParams

public class VariantEnrichmentParams extends Object

## Constructor Summary

Constructors
Constructor
Description
`VariantEnrichmentParams()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getColumnName()`
`Integer`
`getMinNumberOfVariants()`
`Long`
`getNetworkId()`
`double`
`getPvalueThreshold()`
`String`
`getSource()`
`String`
`getTypeId()`
`boolean`
`isNewNetwork()`
`void`
`setColumnName(String columnName)`
`void`
`setMinNumberOfVariants(Integer minNumberOfVariants)`
`void`
`setNetworkId(Long networkId)`
`void`
`setNewNetwork(boolean newNetwork)`
`void`
`setPvalueThreshold(double pvalueThreshold)`
`void`
`setSource(String source)`
`void`
`setTypeId(String typeId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VariantEnrichmentParams

public VariantEnrichmentParams()

## Method Details

### getNetworkId

public Long getNetworkId()

### setNetworkId

public void setNetworkId(Long networkId)

### getColumnName

public String getColumnName()

### setColumnName

public void setColumnName(String columnName)

### getTypeId

public String getTypeId()

### setTypeId

public void setTypeId(String typeId)

### getSource

public String getSource()

### setSource

public void setSource(String source)

### isNewNetwork

public boolean isNewNetwork()

### setNewNetwork

public void setNewNetwork(boolean newNetwork)

### getPvalueThreshold

public double getPvalueThreshold()

### setPvalueThreshold

public void setPvalueThreshold(double pvalueThreshold)

### getMinNumberOfVariants

public Integer getMinNumberOfVariants()

### setMinNumberOfVariants

public void setMinNumberOfVariants(Integer minNumberOfVariants)